---
title: PointerEvent.isPrimary
slug: Web/API/PointerEvent/isPrimary
tags:
  - API
  - DOM
  - Interface
  - PointerEvent
  - Property
  - Reference
---
<div>{{ APIRef("Pointer Events") }}</div>

<p>The <strong><code>isPrimary</code></strong> read-only property of the {{domxref("PointerEvent")}} interface indicates whether or not the pointer device that created the event is the <em>primary</em> pointer. It returns <code>true</code> if the pointer that caused the event to be fired is the primary device and returns <code>false</code> otherwise.</p>

<p>In a multi-pointer scenario (such as a touch screen that supports more than one touch point), this property is used to identify a <em>master pointer</em> among the set of active pointers for each pointer type. Only a primary pointer will produce <em>compatibility mouse events</em>. Authors who desire only single-pointer interaction can achieve that by ignoring non-primary pointers.</p>

<p>A pointer is considered primary if the pointer represents a mouse device. A pointer representing pen input is considered the primary pen input if its {{event("pointerdown")}} event was dispatched when no other active pointers representing pen input existed. A pointer representing touch input is considered the primary touch input if its {{event("pointerdown")}} event was dispatched when no other active pointers representing touch input existed.</p>

<p>When two or more pointer device types are being used concurrently, multiple pointers (one for each {{domxref("PointerEvent.pointerType", "pointerType")}}) are considered primary. For example, a touch contact and a mouse cursor moved simultaneously will produce pointers that are both considered primary. If there are multiple primary pointers, these pointers will all produce <em>compatibility mouse events</em> (see {{domxref("Pointer_events")}} for more information about pointer, mouse and touch interaction).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>isPrimary</em> = <em>pointerEvent</em>.isPrimary;
</pre>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>isPrimary</code></dt>
 <dd>Returns <code>true</code> if the pointer for this event is the primary pointer and returns <code>false</code> otherwise.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example illustrates using the value of <code>isPrimary</code> to call the appropriate processing function.</p>

<pre class="brush: js notranslate">target.addEventListener('pointerdown', function(event) {
  if (event.isPrimary)
    process_primary_pointer(event);
  else
    process_secondary_pointer(event);
}, false);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-pointerevent-isprimary', 'isPrimary')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-PointerEvent-isPrimary', 'isPrimary')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.PointerEvent.isPrimary")}}</p>
